Class | Chef::Provider::Service::Debian
In: | lib/chef/provider/service/debian.rb
Parent: | Chef::Provider::Service::Invokercd

### Methods

assert_update_rcd_available disable_service enable_service get_priority load_current_resource service_currently_enabled? set_priority

### Constants

UPDATE_RC_D_ENABLED_MATCHES | = | /\/rc[\dS].d\/S|not installed/i
UPDATE_RC_D_PRIORITIES | = | /\/rc([\dS]).d\/([SK])(\d\d)/i

### Public Instance methods

assert_update_rcd_available()
disable_service()
enable_service()
get_priority()
load_current_resource()
service_currently_enabled?(priority)
set_priority()

[Validate]